/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *  TSTSTR.CPP --  test string class                   V1.1  *
 *                                                           *
 *  Language:       Borland C++                              *
 *  System:         Gateway 386/25, MS-DOS 5.0               *
 *  Application:    CSE 687                                  *
 *  Author:         Jim Fawcett, CST 2-127, (315)443-4454    *
 *                                                           *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */


#include <fstream.h>
#include "strings.hpp"

/*----< void main() >----------------------------------------*/

int main() {

  cout << "\nTesting\n\n";
  ifstream ifstrm("tststr.dat");
  if(!ifstrm) {
    cerr << "couldn't open tststr.dat\n";
    return 1;
  }
  string line;
  while(!ifstrm.eof()) {
    ifstrm >> line;
    if (length(line) == 0)
      break;
    cout << "current line is:           " << line               << "\n";
    cout << "the third character is:    " << line[2]            << "\n";
    cout << "changing the third to @:   " << (line[2]='@',line) << "\n";
    cout << "adding to itself:          " << (line += line)     << "\n";
    cout << "string length is:          " << length(line)       << "\n";
    if (match(line,"line"))
      cout << "the substr line starts at: " << index(line) << "\n";
    else
      cout << "no match for substr line\n";
  }
  return 0;
}

